#
# spec file for package libsndfile (Version 1.0.17)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flac flac-devel flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libogg libogg-devel libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sqlite sqlite-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libsndfile
BuildRequires:  alsa-devel flac-devel gcc-c++ libstdc++-devel pkgconfig sqlite-devel
Summary:        A Library to Handle Various Audio File Formats
Version:        1.0.17
Release:        23
License:        LGPL v2 or later
Group:          System/Libraries
Obsoletes:      libsnd
Provides:       libsnd
Source:         libsndfile-%{version}.tar.bz2
Patch:          libsndfile-configure-fix.diff
Patch1:         libsndfile-1.0.17-flac-buffer-overflow.patch
Url:            http://www.mega-nerd.com/libsndfile/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libsndfile is a C library for reading and writing sound files, such as
AIFF, AU, and WAV files, through one standard interface.  It can
currently read and write 8, 16, 24, and 32-bit PCM files as well as
32-bit floating point WAV files and a number of compressed formats.



Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%debug_package
%package devel
Summary:        Development package for the libsndfile library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel flac-devel
Obsoletes:      libsndd
Provides:       libsndd

%description devel
This package contains the files needed to compile programs that use the
libsndfile library.



Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%package progs
Summary:        Example Programs for libsndfile
Group:          System/Libraries

%description progs
This package includes the example programs for libsndfile.



Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%package octave
Summary:        A library to handle various audio file formats
Group:          System/Libraries
Requires:       %{name} octave

%description octave
The libsndfile is a C library for reading and writing sound files such
as AIFF, AU and WAV iles through one standard interface.  It can
currently read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit
floating point WAV files and a number of compressed formats.



Authors:
--------
    Erik de Castro Lopo <erikd@mega-nerd.com>

%prep
%setup
# %patch
%patch1

%build
%define warn_flags -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing %{warn_flags}"
export CFLAGS
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir}
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
# remove binaries from examples directory
make -C examples distclean
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libsndfile1-dev

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/*.html doc/*.jpg doc/*.css doc/*.HOWTO
%{_libdir}/libsndfile.so.*
%{_mandir}/man?/*

%files progs
%defattr(-, root, root)
%{_bindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/libsndfile.so
%{_libdir}/libsndfile.a
%{_libdir}/libsndfile.la
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/*.pc
%doc examples

%files octave
%defattr(644, root, root, 755)
%dir %{_datadir}/octave
%dir %{_datadir}/octave/site
%dir %{_datadir}/octave/site/m
%{_datadir}/octave/site/m/sndfile_load.m
%{_datadir}/octave/site/m/sndfile_play.m
%{_datadir}/octave/site/m/sndfile_save.m
%changelog
* Thu Sep 20 2007 - tiwai@suse.de
- VUL-0: Heap-based buffer overflow in flac.c (#326070,
  CVE-2007-4974)
* Fri Sep 01 2006 - tiwai@suse.de
- updated to version 1.0.17:
  * Add C++ wrapper sndfile.hh. Minor bug fixes and cleanups.
* Tue Jul 04 2006 - tiwai@suse.de
- fix the build -- removed invalidly overridden HAVE_DECL_S_IRGRP
  definition in configure.ac.
* Mon May 29 2006 - tiwai@suse.de
- added flac-devel to requires of devel sub package.
* Mon May 15 2006 - tiwai@suse.de
- updated to version 1.0.16.
  * more format supports
  * code cleanups
  * fix memleaks
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 30 2005 - tiwai@suse.de
- updated to version 1.0.12.
- split example programs to progs sub-package.
- added -fno-strict-aliasing.
* Wed Nov 17 2004 - tiwai@suse.de
- updated to version 1.0.11.
* Fri Sep 03 2004 - tiwai@suse.de
- removed python from neededforbuild.
* Thu Aug 05 2004 - tiwai@suse.de
- updated to version 1.0.10.
* Thu Feb 26 2004 - tiwai@suse.de
- updated to version 1.0.7.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Sep 15 2003 - kukuk@suse.de
- Set x bit on directories
* Fri Jun 20 2003 - ro@suse.de
- added directories to filelist
* Fri Jun 06 2003 - tiwai@suse.de
- updated to version 1.0.5.
* Tue May 13 2003 - pthomas@suse.de
- Put Octave interface files into an own subpackage.
* Thu Feb 13 2003 - pthomas@suse.de
- Compile with all usefull warnings and fix all places where the
  compiler warned.
- Fix configure to use $libdir instead of $prefix/lib for reporting.
* Tue Feb 04 2003 - tiwai@suse.de
- updated to version 1.0.4.
* Fri Jan 17 2003 - tiwai@suse.de
- added %%run_ldconfig to %%post.
* Thu Jan 16 2003 - tiwai@suse.de
- updated to version 1.0.3.
- added *.la to devel package.
* Mon Nov 25 2002 - tiwai@suse.de
- updated to version 1.0.2.
* Fri Sep 20 2002 - tiwai@suse.de
- updated to version 1.0.1.
* Mon Aug 19 2002 - tiwai@suse.de
- updated to version 1.0.0 final.
* Fri Aug 02 2002 - tiwai@suse.de
- updated to version 1.0.0rc3.
* Tue Jun 25 2002 - tiwai@suse.de
- updated to version 1.0.0rc2.
* Fri Apr 12 2002 - tiwai@suse.de
- set %%__libdir.
- use make install as default instead of install-strip.
* Thu Feb 07 2002 - tiwai@suse.de
- fixed build on s390x.
* Fri Dec 07 2001 - tiwai@suse.de
- fixed group tag (System -> System Environment)
* Thu Dec 06 2001 - tiwai@suse.de
- removed binaries from alsa-devel examples directory.
* Wed Nov 21 2001 - tiwai@suse.de
- updated to ver.0.0.27.
* Wed Oct 17 2001 - tiwai@suse.de
- updated to ver.0.0.26.
  + Added sf_command () interface.
  + Added support for IRCAM files.
  + Minor bug fixes.
* Tue Aug 28 2001 - tiwai@suse.de
- updated to ver.0.0.24.
  + Added support for 32 bit floating point AIFC files, little endian AIFC
  files and 16, 24 and 32 bit Sphere NIST files.
  + Massive refactoring of internal code.
  + Added read and write handling of PEAK chunks on AIFF and WAV files.
  + Added read support for REX files (Propellerheads Reason).
  + Added sf_read_float () and sf_write_float () interfaces.
  + Minor bug fixes.
- changed group tag to System/Libraries
* Fri Aug 03 2001 - tiwai@suse.de
- fixed compile on s390.
* Thu Jun 07 2001 - tiwai@suse.de
- fixed compile with the latest libtool & autoconf.
* Tue Apr 03 2001 - kukuk@suse.de
- move *.so files into devel package
- Remove kernel_header requires
- Fix glibc-devel dependencies
* Wed Dec 13 2000 - tiwai@suse.de
- fixed compile on ia64.
* Thu Nov 02 2000 - ro@suse.de
- changed Group to Development/Libraries (old group did not exist)
* Thu Nov 02 2000 - tiwai@suse.de
- Updated to 0.0.22.
- Changed for long package-name support (libsnd -> libsndfile,
  libsndd -> libsndfile-devel).
* Tue Sep 26 2000 - tiwai@suse.de
- changed to bzip2.
- added suse_update_config.
* Wed Sep 06 2000 - tiwai@suse.de
- Initial version: 0.0.21.
